Index: /palm/trunk/SOURCE/impact_of_latent_heat.f90
===================================================================
--- /palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 1319)
+++ /palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -28,15 +34,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 72 2007-03-19 08:20:46Z
-! precipitation_rate renamed dqdt_precip
-!
-! 19 2007-02-23 04:53:48Z raasch
-! Calculation extended for gridpoint nzt
-! 
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.5  2004/01/30 10:25:59  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
 !
 ! Revision 1.1  2000/04/13 14:48:40  schroeter
@@ -66,13 +61,22 @@
     SUBROUTINE impact_of_latent_heat
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE constants
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ql, tend
+           
+       USE cloud_parameters,                                                   &
+           ONLY:  l_d_cp, prec_time_const, pt_d_t, ql_crit
+           
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nyn, nys, nzb_2d, nzt
+           
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
+       INTEGER(iwp) ::  i  !:
+       INTEGER(iwp) ::  j  !:
+       INTEGER(iwp) ::  k  !:
+       
+       REAL(wp) ::  dqdt_precip  !:
 
  
@@ -100,13 +104,22 @@
     SUBROUTINE impact_of_latent_heat_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE constants
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ql, tend
+           
+       USE cloud_parameters,                                                   &
+           ONLY:  l_d_cp, prec_time_const, pt_d_t, ql_crit
+           
+       USE indices,                                                            &
+           ONLY:  nzb_2d, nzt
+           
+       USE kinds                                                               
    
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
+       INTEGER(iwp) ::  i  !:
+       INTEGER(iwp) ::  j  !:
+       INTEGER(iwp) ::  k  !:
+       
+       REAL(wp) ::  dqdt_precip  !:
 
 
Index: /palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1319)
+++ /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1320)
@@ -20,5 +20,13 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
+!
+! module interfaces removed
 !
 ! Former revisions:
@@ -26,7 +34,4 @@
 ! $Id$
 !
-! 1318 2014-03-17 13:35:16Z raasch
-! module interfaces removed
-!
 ! 1092 2013-02-02 11:24:22Z raasch
 ! unused variables removed
@@ -34,17 +39,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 709 2011-03-30 09:31:40Z raasch
-! formatting adjustments
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Using nbgp recycling planes for a better resolution of the turbulent flow 
-! near the inflow.
-!
-! 622 2010-12-10 08:08:13Z raasch
-! optional barriers included in order to speed up collective operations
-!
-! 222 2009-01-12 16:04:16Z letzel
-! Bugfix for nonparallel execution
 !
 ! Initial version (2008/03/07)
@@ -56,9 +48,21 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE control_parameters
-    USE cpulog
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  e, inflow_damping_factor, mean_inflow_profiles, pt, u, v, w
+        
+    USE control_parameters,                                                    &
+        ONLY:  recycling_plane
+        
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+        
+    USE grid_variables,                                                        &
+        ONLY:  
+        
+    USE indices,                                                               &
+        ONLY:  nbgp, nxl, ny, nyn, nys, nyng, nysg, nzb, nzt
+        
+    USE kinds
+    
     USE pegrid
 
@@ -66,8 +70,15 @@
     IMPLICIT NONE
 
-    INTEGER ::  i, j, k, l, ngp_ifd, ngp_pr
-
-    REAL, DIMENSION(nzb:nzt+1,5,nbgp) ::  avpr, avpr_l
-    REAL, DIMENSION(nzb:nzt+1,nysg:nyng,5,nbgp) ::  inflow_dist
+    INTEGER(iwp) ::  i        !:
+    INTEGER(iwp) ::  j        !:
+    INTEGER(iwp) ::  k        !:
+    INTEGER(iwp) ::  l        !:
+    INTEGER(iwp) ::  ngp_ifd  !:
+    INTEGER(iwp) ::  ngp_pr   !:
+
+    REAL(wp), DIMENSION(nzb:nzt+1,5,nbgp)           ::                         &
+       avpr, avpr_l  !:
+    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,5,nbgp) ::                         &
+       inflow_dist   !:
 
     CALL cpu_log( log_point(40), 'inflow_turbulence', 'start' )
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 1319)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -41,31 +47,4 @@
 ! 978 2012-08-09 08:28:32Z fricke
 ! roughness length for scalar quantities z0h1d added
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! replaced mirror boundary conditions for u and v  at the ground
-! by dirichlet boundary conditions
-!
-! 254 2009-03-05 15:33:42Z heinze
-! Output of messages replaced by message handling routine.
-!
-! 184 2008-08-04 15:53:39Z letzel
-! provisional solution for run_control_1d output: add 'CALL check_open( 15 )'
-!
-! 135 2007-11-22 12:24:23Z raasch
-! Bugfix: absolute value of f must be used when calculating the Blackadar
-! mixing length
-!
-! 82 2007-04-16 15:40:52Z raasch
-! Preprocessor strings for different linux clusters changed to "lc",
-! routine local_flush is used for buffer flushing
-!
-! 75 2007-03-22 09:54:05Z raasch
-! Bugfix: preset of tendencies te_em, te_um, te_vm,
-! moisture renamed humidity
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.21  2006/06/02 15:19:57  raasch
-! cpp-directives extended for lctit
 !
 ! Revision 1.1  1998/03/09 16:22:10  raasch
@@ -81,24 +60,40 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE indices
-    USE model_1d
-    USE control_parameters
+    USE arrays_3d,                                                             &
+        ONLY:  l_grid, ug, u_init, vg, v_init, zu
+    
+    USE indices,                                                               &
+        ONLY:  nzb, nzt
+    
+    USE kinds
+    
+    USE model_1d,                                                              &
+        ONLY:  e1d, e1d_p, kh1d, km1d, l1d, l_black, qs1d, rif1d,              &
+               simulated_time_1d, te_e, te_em, te_u, te_um, te_v, te_vm, ts1d, &
+               u1d, u1d_p, us1d, usws1d, v1d, v1d_p, vsws1d, z01d, z0h1d
+    
+    USE control_parameters,                                                    &
+        ONLY:  constant_diffusion, f, humidity, kappa, km_constant,            &
+               mixing_length_1d, passive_scalar, prandtl_layer,                &
+               prandtl_number, roughness_length, simulated_time_chr,           &
+               z0h_factor
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string
-    INTEGER ::  k
-    REAL    ::  lambda
+    CHARACTER (LEN=9) ::  time_to_string  !:
+    
+    INTEGER(iwp) ::  k  !: 
+    
+    REAL(wp) ::  lambda !:
 
 !
 !-- Allocate required 1D-arrays
-    ALLOCATE( e1d(nzb:nzt+1),    e1d_p(nzb:nzt+1), &
-              kh1d(nzb:nzt+1),   km1d(nzb:nzt+1),  &
-              l_black(nzb:nzt+1), l1d(nzb:nzt+1),   &
-              rif1d(nzb:nzt+1),   te_e(nzb:nzt+1),  &
-              te_em(nzb:nzt+1),  te_u(nzb:nzt+1),    te_um(nzb:nzt+1), &
-              te_v(nzb:nzt+1),   te_vm(nzb:nzt+1),    u1d(nzb:nzt+1),   &
-              u1d_p(nzb:nzt+1),  v1d(nzb:nzt+1),   &
+    ALLOCATE( e1d(nzb:nzt+1),    e1d_p(nzb:nzt+1),                             &
+              kh1d(nzb:nzt+1),   km1d(nzb:nzt+1),                              &
+              l_black(nzb:nzt+1), l1d(nzb:nzt+1),                              &
+              rif1d(nzb:nzt+1),   te_e(nzb:nzt+1),                             &
+              te_em(nzb:nzt+1),  te_u(nzb:nzt+1),    te_um(nzb:nzt+1),         &
+              te_v(nzb:nzt+1),   te_vm(nzb:nzt+1),    u1d(nzb:nzt+1),          &
+              u1d_p(nzb:nzt+1),  v1d(nzb:nzt+1),                               &
               v1d_p(nzb:nzt+1) )
 
@@ -120,5 +115,5 @@
 !--       Blackadar mixing length
           IF ( f /= 0.0 )  THEN
-             lambda = 2.7E-4 * SQRT( ug(nzt+1)**2 + vg(nzt+1)**2 ) / &
+             lambda = 2.7E-4 * SQRT( ug(nzt+1)**2 + vg(nzt+1)**2 ) /           &
                                ABS( f ) + 1E-10
           ELSE
@@ -197,16 +192,45 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE control_parameters
-    USE indices
-    USE model_1d
+    USE arrays_3d,                                                             &
+        ONLY:  dd2zu, ddzu, ddzw, l_grid, pt_init, q_init, ug, vg, zu
+        
+    USE control_parameters,                                                    &
+        ONLY:  constant_diffusion, dissipation_1d, humidity,                   &
+               intermediate_timestep_count, intermediate_timestep_count_max,   &
+               f, g, ibc_e_b, kappa, mixing_length_1d, passive_scalar,         &
+               prandtl_layer, rif_max, rif_min, simulated_time_chr,            &
+               timestep_scheme, tsc
+                
+    USE indices,                                                               &
+        ONLY:  nzb, nzb_diff, nzt
+        
+    USE kinds
+    
+    USE model_1d,                                                              &
+        ONLY:  current_timestep_number_1d, damp_level_ind_1d, dt_1d,           &
+               dt_pr_1d, dt_run_control_1d, e1d, e1d_p, end_time_1d,           &
+               kh1d, km1d, l1d, l_black, qs1d, rif1d, simulated_time_1d,       &
+               stop_dt_1d, te_e, te_em, te_u, te_um, te_v, te_vm, time_pr_1d,  &
+               ts1d, time_run_control_1d, u1d, u1d_p, us1d, usws1d, v1d,       &
+               v1d_p, vsws1d, z01d, z0h1d
+        
     USE pegrid
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string
-    INTEGER ::  k
-    REAL    ::  a, b, dissipation, dpt_dz, flux, kmzm, kmzp, l_stable, pt_0, &
-                uv_total
+    CHARACTER (LEN=9) ::  time_to_string  !:
+    
+    INTEGER(iwp) ::  k  !:
+    
+    REAL(wp) ::  a            !:
+    REAL(wp) ::  b            !:
+    REAL(wp) ::  dissipation  !:
+    REAL(wp) ::  dpt_dz       !:
+    REAL(wp) ::  flux         !:
+    REAL(wp) ::  kmzm         !:
+    REAL(wp) ::  kmzp         !:
+    REAL(wp) ::  l_stable     !:
+    REAL(wp) ::  pt_0         !:
+    REAL(wp) ::  uv_total     !:
 
 !
@@ -704,14 +728,30 @@
 !------------------------------------------------------------------------------!
 
-    USE constants
-    USE indices
-    USE model_1d
+    USE constants,                                                             &
+        ONLY:  pi
+        
+    USE indices,                                                               &
+        ONLY:  nzb, nzt
+        
+    USE kinds
+    
+    USE model_1d,                                                              &
+        ONLY:  current_timestep_number_1d, dt_1d, run_control_header_1d, u1d,  &
+               us1d, v1d
+    
     USE pegrid
-    USE control_parameters
+    
+    USE control_parameters,                                                    &
+        ONLY:  simulated_time_chr
 
     IMPLICIT NONE
 
-    INTEGER ::  k
-    REAL    ::  alpha, energy, umax, uv_total, vmax
+    INTEGER(iwp) ::  k  !:
+    
+    REAL(wp) ::  alpha 
+    REAL(wp) ::  energy 
+    REAL(wp) ::  umax
+    REAL(wp) ::  uv_total 
+    REAL(wp) ::  vmax
 
 !
@@ -775,14 +815,28 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE indices
-    USE model_1d
+    USE arrays_3d,                                                             &
+        ONLY:  dzu, zu
+        
+    USE indices,                                                               &
+        ONLY:  nzb, nzt
+    
+    USE kinds
+    
+    USE model_1d,                                                              &
+        ONLY:  dt_1d, dt_max_1d, km1d, old_dt_1d, stop_dt_1d
+    
     USE pegrid
-    USE control_parameters
+    
+    USE control_parameters,                                                              &
+        ONLY:  message_string
 
     IMPLICIT NONE
 
-    INTEGER ::  k
-    REAL    ::  div, dt_diff, fac, value
+    INTEGER(iwp) ::  k !:
+    
+    REAL(wp) ::  div      !:
+    REAL(wp) ::  dt_diff  !:
+    REAL(wp) ::  fac      !:
+    REAL(wp) ::  value    !:
 
 
@@ -834,14 +888,24 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE indices
-    USE model_1d
+    USE arrays_3d,                                                             &
+        ONLY:  pt_init, zu
+        
+    USE indices,                                                               &
+        ONLY:  nzb, nzt
+        
+    USE kinds
+    
+    USE model_1d,                                                              &
+        ONLY:  e1d, kh1d, km1d, l1d, rif1d, u1d, v1d
+    
     USE pegrid
-    USE control_parameters
+    
+    USE control_parameters,                                                    &
+        ONLY:  run_description_header, simulated_time_chr
 
     IMPLICIT NONE
 
 
-    INTEGER ::  k
+    INTEGER(iwp) ::  k  !:
 
 
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1319)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1320)
@@ -20,12 +20,17 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
+!
+! module interfaces removed
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
-!
-! 1318 2014-03-17 13:35:16Z raasch
-! module interfaces removed
 !
 ! 1316 2014-03-17 07:44:59Z heinze
@@ -122,128 +127,4 @@
 ! 825 2012-02-19 03:03:44Z raasch
 ! wang_collision_kernel renamed wang_kernel
-!
-! 790 2011-11-29 03:11:20Z raasch
-! diss is also allocated in case that the Wang kernel is used
-!
-! 787 2011-11-28 12:49:05Z heinze $
-! bugfix: call init_advec in every case - not only for inital runs
-!
-! 785 2011-11-28 09:47:19Z raasch
-! initialization of rdf_sc
-!
-! 767 2011-10-14 06:39:12Z raasch
-! adjustments concerning implementation of prescribed u,v-profiles
-! bugfix: dirichlet_0 conditions for ug/vg moved to check_parameters
-!
-! 759 2011-09-15 13:58:31Z raasch
-! Splitting of parallel I/O in blocks of PEs
-! Bugfix: No zero assignments to volume_flow_initial and volume_flow_area in
-! case of normal restart runs.
-!
-! 713 2011-03-30 14:21:21Z suehring
-! weight_substep and weight_pres are given as fractions.
-!
-! 709 2011-03-30 09:31:40Z raasch
-! formatting adjustments
-!
-! 707 2011-03-29 11:39:40Z raasch
-! p_sub renamed p_loc and allocated depending on the chosen pressure solver,
-! initial assignments of zero to array p for iterative solvers only,
-! bc_lr/ns replaced by bc_lr/ns_dirrad/raddir
-!
-! 680 2011-02-04 23:16:06Z gryschka
-! bugfix: volume_flow_control
-!
-! 673 2011-01-18 16:19:48Z suehring 
-! weight_substep (moved from advec_ws) and weight_pres added.
-! Allocate p_sub when using Multigrid or SOR solver.
-! Call of ws_init moved behind the if requests.
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng in loops and 
-! allocation of arrays. Calls of exchange_horiz are modified.
-! Call ws_init to initialize arrays needed for calculating statisticas and for
-! optimization when ws-scheme is used.
-! Initial volume flow is now calculated by using the variable hom_sum.
-! Therefore the correction of initial volume flow for non-flat topography
-! removed (removed u_nzb_p1_for_vfc and v_nzb_p1_for_vfc) 
-! Changed surface boundary conditions for u and v in case of ibc_uv_b == 0 from
-! mirror to Dirichlet boundary conditions (u=v=0), so that k=nzb is 
-! representative for the height z0.
-! Bugfix: type conversion of '1' to 64bit for the MAX function (ngp_3d_inner) 
-!
-! 622 2010-12-10 08:08:13Z raasch
-! optional barriers included in order to speed up collective operations
-!
-! 560 2010-09-09 10:06:09Z weinreis
-! bugfix: correction of calculating ngp_3d for 64 bit
-!
-! 485 2010-02-05 10:57:51Z raasch
-! calculation of ngp_3d + ngp_3d_inner changed because they have now 64 bit
-!
-! 407 2009-12-01 15:01:15Z maronga
-! var_ts is replaced by dots_max 
-! Enabled passive scalar/humidity wall fluxes for non-flat topography
-!
-! 388 2009-09-23 09:40:33Z raasch
-! Initialization of prho added.
-! bugfix: correction of initial volume flow for non-flat topography
-! bugfix: zero initialization of arrays within buildings for 'cyclic_fill'
-! bugfix: avoid that ngp_2dh_s_inner becomes zero
-! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill', now
-! independent of turbulent_inflow
-! Output of messages replaced by message handling routine.
-! Set the starting level and the vertical smoothing factor used for 
-! the external pressure gradient
-! +conserve_volume_flow_mode: 'default', 'initial_profiles', 'inflow_profile'
-! and 'bulk_velocity'
-! If the inversion height calculated by the prerun is zero,
-! inflow_damping_height must be explicitly specified.
-!
-! 181 2008-07-30 07:07:47Z raasch
-! bugfix: zero assignments to tendency arrays in case of restarts,
-! further extensions and modifications in the initialisation of the plant 
-! canopy model,
-! allocation of hom_sum moved to parin, initialization of spectrum_x|y directly
-! after allocating theses arrays,
-! read data for recycling added as new initialization option,
-! dummy allocation for diss
-!
-! 138 2007-11-28 10:03:58Z letzel
-! New counter ngp_2dh_s_inner.
-! Allow new case bc_uv_t = 'dirichlet_0' for channel flow.
-! Corrected calculation of initial volume flow for 'set_1d-model_profiles' and
-! 'set_constant_profiles' in case of buildings in the reference cross-sections.
-!
-! 108 2007-08-24 15:10:38Z letzel
-! Flux initialization in case of coupled runs, +momentum fluxes at top boundary,
-! +arrays for phase speed c_u, c_v, c_w, indices for u|v|w_m_l|r changed
-! +qswst_remote in case of atmosphere model with humidity coupled to ocean
-! Rayleigh damping for ocean, optionally calculate km and kh from initial
-! TKE e_init
-!
-! 97 2007-06-21 08:23:15Z raasch
-! Initialization of salinity, call of init_ocean
-!
-! 87 2007-05-22 15:46:47Z raasch
-! var_hom and var_sum renamed pr_palm
-!
-! 75 2007-03-22 09:54:05Z raasch
-! Arrays for radiation boundary conditions are allocated (u_m_l, u_m_r, etc.),
-! bugfix for cases with the outflow damping layer extending over more than one
-! subdomain, moisture renamed humidity,
-! new initializing action "by_user" calls user_init_3d_model,
-! precipitation_amount/rate, ts_value are allocated, +module netcdf_control,
-! initial velocities at nzb+1 are regarded for volume
-! flow control in case they have been set zero before (to avoid small timesteps)
-! -uvmean_outflow, uxrp, vynp eliminated
-!
-! 19 2007-02-23 04:53:48Z raasch
-! +handling of top fluxes
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.49  2006/08/22 15:59:07  raasch
-! No optimization of this file on the ibmy (Yonsei Univ.)
 !
 ! Revision 1.1  1998/03/09 16:22:22  raasch
@@ -262,34 +143,62 @@
 
     USE advec_ws
+
     USE arrays_3d
-    USE averaging
-    USE cloud_parameters
-    USE constants
+    
+    USE cloud_parameters,                                                      &
+        ONLY:  nc_const, precipitation_amount, precipitation_rate, prr
+    
+    USE constants,                                                             &
+        ONLY:  pi
+    
     USE control_parameters
-    USE cpulog
-    USE grid_variables
+    
+    USE grid_variables,                                                        &
+        ONLY:  dx, dy
+    
     USE indices
+    
+    USE kinds
+    
     USE ls_forcing_mod
-    USE model_1d
+    
+    USE model_1d,                                                              &
+        ONLY:  e1d, kh1d, km1d, l1d, rif1d, u1d, us1d, usws1d, v1d, vsws1d 
+    
     USE netcdf_control
-    USE particle_attributes
+    
+    USE particle_attributes,                                                   &
+        ONLY:  particle_advection, use_sgs_for_particles, wang_kernel
+    
     USE pegrid
-    USE profil_parameter
-    USE random_function_mod
-    USE statistics
-    USE transpose_indices
+    
+    USE random_function_mod 
+    
+    USE statistics,                                                            &
+        ONLY:  hom, hom_sum, pr_palm, rmask, spectrum_x, spectrum_y,           &
+               statistic_regions, sums, sums_divnew_l, sums_divold_l, sums_l,  &
+               sums_l_l, sums_up_fraction_l, sums_wsts_bc_l, ts_value,         &
+               weight_pres, weight_substep 
+    
+    USE transpose_indices 
 
     IMPLICIT NONE
 
-    INTEGER ::  i, ind_array(1), j, k, sr
-
-    INTEGER, DIMENSION(:), ALLOCATABLE ::  ngp_2dh_l
-
-    INTEGER, DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l,  &
-                                             ngp_2dh_s_inner_l
-
-    REAL, DIMENSION(1:2) ::  volume_flow_area_l, volume_flow_initial_l
-
-    REAL, DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_l, ngp_3d_inner_tmp
+    INTEGER(iwp) ::  i             !:
+    INTEGER(iwp) ::  ind_array(1)  !:
+    INTEGER(iwp) ::  j             !:
+    INTEGER(iwp) ::  k             !:
+    INTEGER(iwp) ::  sr            !:
+
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::  ngp_2dh_l  !:
+
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l    !:
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner_l  !:
+
+    REAL(wp), DIMENSION(1:2) ::  volume_flow_area_l     !:
+    REAL(wp), DIMENSION(1:2) ::  volume_flow_initial_l  !:
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_l    !:
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_tmp  !:
 
 
Index: /palm/trunk/SOURCE/init_advec.f90
===================================================================
--- /palm/trunk/SOURCE/init_advec.f90	(revision 1319)
+++ /palm/trunk/SOURCE/init_advec.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -35,9 +41,4 @@
 ! all actions concerning upstream-spline-method removed
 !
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.6  2004/04/30 11:59:31  raasch
-! impulse_advec renamed momentum_advec
-!
 ! Revision 1.1  1999/02/05 09:07:38  raasch
 ! Initial revision
@@ -49,13 +50,28 @@
 !------------------------------------------------------------------------------!
 
-    USE advection
-    USE arrays_3d
-    USE indices
-    USE control_parameters
+    USE advection,                                                             &
+        ONLY:  aex, bex, dex, eex
+        
+    USE kinds
+    
+    USE control_parameters,                                                    &
+        ONLY:  scalar_advec
 
     IMPLICIT NONE
 
-    INTEGER :: i, intervals, j
-    REAL    :: delt, dn, dnneu, ex1, ex2, ex3, ex4, ex5, ex6, sterm
+    INTEGER(iwp) ::  i          !:
+    INTEGER(iwp) ::  intervals  !: 
+    INTEGER(iwp) ::  j          !:
+    
+    REAL(wp) :: delt   !:
+    REAL(wp) :: dn     !:
+    REAL(wp) :: dnneu  !:
+    REAL(wp) :: ex1    !:
+    REAL(wp) :: ex2    !:
+    REAL(wp) :: ex3    !:
+    REAL(wp) :: ex4    !:
+    REAL(wp) :: ex5    !:
+    REAL(wp) :: ex6    !:
+    REAL(wp) :: sterm  !:
 
 
Index: /palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1319)
+++ /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1320)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module mod_kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -41,17 +48,4 @@
 ! calculation of b_cond replaced by calculation of bfactor
 !
-! 221 2009-01-12 15:32:23Z raasch
-! Bugfix: abort in case that absolute temperature is below zero
-!
-! 95 2007-06-02 16:48:38Z raasch
-! hydro_press renamed hyp
-!
-! February 2007
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.5  2005/06/26 19:55:58  raasch
-! Initialization of cloud droplet constants, gas_constant renamed r_d,
-! latent_heat renamed l_v
-!
 ! Revision 1.1  2000/04/13 14:37:22  schroeter
 ! Initial revision
@@ -63,15 +57,31 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE cloud_parameters
-    USE constants
-    USE control_parameters
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  dzu, hyp, pt_init, zu
+        
+    USE cloud_parameters,                                                      &
+        ONLY:  bfactor, cp, c_sedimentation, dpirho_l, dt_precipitation,       &
+               hyrho, l_d_cp, l_d_r, l_d_rv, l_v, mass_of_solute,              &
+               molecular_weight_of_solute, molecular_weight_of_water, pirho_l, &
+               pt_d_t, rho_l, r_d, r_v, schmidt, schmidt_p_1d3, t_d_pt,        &
+               vanthoff, w_precipitation
+        
+    USE constants,                                                             &
+        ONLY:  pi
+        
+    USE control_parameters,                                                    &
+        ONLY:  g, icloud_scheme, message_string, precipitation, pt_surface,    &
+               rho_surface, surface_pressure
+    
+    USE indices,                                                               &
+        ONLY:  nzb, nzt
+    
+    USE kinds
 
     IMPLICIT NONE
 
-    INTEGER ::  k
-    REAL    ::  t_surface
+    INTEGER(iwp) ::  k      !:
+    
+    REAL(wp) ::  t_surface  !:
 
     ALLOCATE( hyp(nzb:nzt+1), pt_d_t(nzb:nzt+1), t_d_pt(nzb:nzt+1),  &
Index: /palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- /palm/trunk/SOURCE/init_coupling.f90	(revision 1319)
+++ /palm/trunk/SOURCE/init_coupling.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -28,17 +34,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 709 2011-03-30 09:31:40Z raasch
-! formatting adjustments
-!
-! 691 2011-03-04 08:45:30Z maronga
-! Bugfix: combine_plot_fields did not work with data_output_2d_on_each_pe = .T.
-! for precursor ocean runs
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! determination of target_id's moved to init_pegrid
-!
-! 291 2009-04-16 12:07:26Z raasch
-! Coupling with independent precursor runs.
 !
 ! 222 2009-01-12 16:04:16Z letzel
@@ -51,7 +44,10 @@
 !------------------------------------------------------------------------------!
 
+    USE control_parameters,                                                    &
+        ONLY:  coupling_char, coupling_mode
+        
+    USE kinds
+    
     USE pegrid
-    USE control_parameters
-    USE indices
 
     IMPLICIT NONE
@@ -59,6 +55,8 @@
 !
 !-- Local variables
-    INTEGER               ::  i, inter_color
-    INTEGER, DIMENSION(:) ::  bc_data(0:3) = 0
+    INTEGER(iwp) ::  i            !:
+    INTEGER(iwp) ::  inter_color  !:
+    
+    INTEGER(iwp), DIMENSION(:) ::  bc_data(0:3) = 0  !:
 
 !
